# -*- mode: python; python-indent-offset: 4; tab-width: 0; encoding: utf-8-unix -*-
# This should be execed in config.py

# Search engines which can be used via the address bar.  Maps a search
# engine name (such as `DEFAULT`, or `ddg`) to a URL with a `{}`
# placeholder. The placeholder will be replaced by the search term, use
# `{{` and `}}` for literal `{`/`}` braces.  The following further
# placeholds are defined to configure how special characters in the
# search terms are replaced by safe characters (called 'quoting'):  *
# `{}` and `{semiquoted}` quote everything except slashes; this is the
# most   sensible choice for almost all search engines (for the search
# term   `slash/and&amp` this placeholder expands to `slash/and%26amp`).
# * `{quoted}` quotes all characters (for `slash/and&amp` this
# placeholder   expands to `slash%2Fand%26amp`). * `{unquoted}` quotes
# nothing (for `slash/and&amp` this placeholder   expands to
# `slash/and&amp`).  The search engine named `DEFAULT` is used when
# `url.auto_search` is turned on and something else than a URL was
# entered to be opened. Other search engines can be used by prepending
# the search engine name to the search term, e.g. `:open google
# qutebrowser`.
# Type: Dict
c.url.searchengines = {
    'DEFAULT': 'https://www.startpage.com/sp/search?query={}&cat=web&pl=opensearch&language=english',
    'sC': 'http://cht.sh/{}',
    'sD': 'https://duckduckgo.com/html?q={}',
    'sG': 'https://github.com/NYANLAUNCHER?tab=repositories&q={}',
    'sI': 'https://www.dictionary.com/browse/{}',
    'sJ': 'https://mojeek.com/?q={}',
    'sM': 'https://metager.org/meta/meta.ger3?eingabe={}&focus=web&ua=1',
    'sO': 'https://odysee.com/$/search?q={}',
    'sS': 'https://www.startpage.com/sp/search?query={}&cat=web&pl=opensearch&language=english',
    'sX': 'https://searx.tiekoetter.com/?q={}',
    'sY': 'https://www.youtube.com/results?search_query={}',
}

